actor_system_config:
  batch_executor: 2
  executor:
  - name: System
    spin_threshold: 0
    threads: 2
    type: BASIC
  - name: User
    spin_threshold: 0
    threads: 3
    type: BASIC
  - name: Batch
    spin_threshold: 0
    threads: 2
    type: BASIC
  - name: IO
    threads: 1
    time_per_mailbox_micro_secs: 100
    type: IO
  - name: IC
    spin_threshold: 10
    threads: 1
    time_per_mailbox_micro_secs: 100
    type: BASIC
  io_executor: 3
  scheduler:
    progress_threshold: 10000
    resolution: 256
    spin_threshold: 0
  service_executor:
  - executor_id: 4
    service_name: Interconnect
  sys_executor: 0
  user_executor: 1
channel_profile_config:
  profile:
  - channel:
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    profile_id: 0
  - channel:
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    - erasure_species: none
      pdisk_category: 0
      storage_pool_kind: hdd
    profile_id: 1
domains_config:
  domain:
  - domain_id: 1
    name: Root
    storage_pool_types:
    - kind: hdd
      pool_config:
        box_id: 1
        erasure_species: none
        kind: hdd
        pdisk_filter:
        - property:
          - type: ROT
        vdisk_kind: Default
    - kind: hdd1
      pool_config:
        box_id: 1
        erasure_species: none
        kind: hdd
        pdisk_filter:
        - property:
          - type: ROT
        vdisk_kind: Default
    - kind: hdd2
      pool_config:
        box_id: 1
        erasure_species: none
        kind: hdd
        pdisk_filter:
        - property:
          - type: ROT
        vdisk_kind: Default
    - kind: hdde
      pool_config:
        box_id: 1
        encryption_mode: 1
        erasure_species: none
        kind: hdd
        pdisk_filter:
        - property:
          - type: ROT
        vdisk_kind: Default
  security_config:
    default_users:
    - name: root
      password: '1234'
  state_storage:
  - ring:
      nto_select: 1
      ring:
      - node:
        - 1
        use_ring_specific_node_selection: true
    ssid: 1
feature_flags:
  enable_drain_on_shutdown: false
  enable_mvcc_snapshot_reads: true
  enable_persistent_query_stats: true
  enable_public_api_external_blobs: false
  enable_scheme_transactions_at_scheme_shard: true
federated_query_config:
  audit:
    enabled: false
    uaconfig:
      uri: ''
  checkpoint_coordinator:
    checkpointing_period_millis: 1000
    enabled: true
    max_inflight: 1
    storage:
      database: local
      endpoint: localhost:31959
      table_prefix: CheckpointCoordinatorStorage_23e50433-dbe2-470e-8096-5e010e2fc8e1
  common:
    ids_prefix: pt
    keep_internal_errors: true
    topic_client_compression_executor_threads_num: 1
    topic_client_handlers_executor_threads_num: 1
    use_bearer_for_ydb: true
    ydb_driver_config:
      client_threads_num: 1
      network_threads_num: 1
    ydb_mvp_cloud_endpoint: localhost:8458
  control_plane_proxy:
    enabled: true
    request_timeout: 30s
  control_plane_storage:
    available_binding:
    - DATA_STREAMS
    - OBJECT_STORAGE
    available_connection:
    - YDB_DATABASE
    - CLICKHOUSE_CLUSTER
    - DATA_STREAMS
    - OBJECT_STORAGE
    - MONITORING
    enabled: true
    mapping:
      common_tenant_name:
      - /alpha
    storage:
      database: local
      endpoint: localhost:31959
      table_prefix: DbPoolStorage_23e50433-dbe2-470e-8096-5e010e2fc8e1
    task_lease_ttl: 20s
    use_db_mapping: true
  db_pool:
    enabled: true
    storage:
      database: local
      endpoint: localhost:31959
      table_prefix: DbPoolStorage_23e50433-dbe2-470e-8096-5e010e2fc8e1
  enable_task_counters: true
  enabled: true
  gateways:
    dq:
      default_settings:
      - name: AnalyzeQuery
        value: 'true'
      - name: EnableInsert
        value: 'true'
      - name: ComputeActorType
        value: async
    enabled: true
    pq:
      cluster_mapping: []
    solomon:
      cluster_mapping: []
    yql_core:
      flags:
      - name: _EnableMatchRecognize
      - name: _EnableStreamLookupJoin
  nodes_manager:
    enabled: true
  pending_fetcher:
    enabled: true
  pinger:
    ping_period: 5s
  private_api:
    enabled: true
    loopback: true
    task_service_database: /default
    task_service_endpoint: localhost:17729
  private_proxy:
    enabled: true
  quotas_manager:
    enabled: true
    quota_descriptions:
    - default_limit: 10000
      hard_limit: 10000
      metric_name: yq.cpuPercent.count
      subject_type: cloud
  rate_limiter:
    control_plane_enabled: true
    data_plane_enabled: true
    database:
      database: local
      endpoint: localhost:31959
      table_prefix: RateLimiter_23e50433-dbe2-470e-8096-5e010e2fc8e1
    enabled: true
    limiters:
    - coordination_node_path: rate_limiter
  resource_manager:
    enabled: true
  row_dispatcher:
    coordinator:
      coordination_node_path: row_dispatcher
      database:
        database: local
        endpoint: localhost:31959
        table_prefix: RowDispatcher_23e50433-dbe2-470e-8096-5e010e2fc8e1
    enabled: true
    max_session_used_memory: 1000000
    send_status_period_sec: 2
    timeout_before_start_session_sec: 5
    without_consumer: true
  task_controller:
    aggr_period: 1s
    ping_period: 5s
  test_connection:
    enabled: true
  token_accessor:
    enabled: true
grpc_config:
  host: '[::]'
  services:
  - local_discovery
  - yq
  - yq_private
  skip_scheme_check: true
interconnect_config:
  start_tcp: true
kqpconfig:
  settings:
  - name: _ResultRowsLimit
    value: '1000'
  - name: _KqpYqlSyntaxVersion
    value: '1'
  - name: _KqpAllowNewEngine
    value: 'true'
log_config:
  default_level: 5
  entry:
  - component: INTERCONNECT
    level: 4
  - component: FQ_QUOTA_PROXY
    level: 8
  - component: FQ_QUOTA_SERVICE
    level: 8
  - component: KQP_COMPUTE
    level: 8
  - component: KQP_YQL
    level: 8
  - component: STREAMS
    level: 8
  - component: STREAMS_STORAGE_SERVICE
    level: 8
  - component: STREAMS_CHECKPOINT_COORDINATOR
    level: 8
  - component: YQL_NODES_MANAGER
    level: 8
  - component: YQL_PROXY
    level: 8
  - component: FQ_RUN_ACTOR
    level: 8
  - component: FQ_DATABASE_RESOLVER
    level: 8
  - component: FQ_PENDING_FETCHER
    level: 8
  - component: FQ_PINGER
    level: 8
  - component: FQ_RESULT_WRITER
    level: 8
  - component: FQ_LOG_UPDATER
    level: 8
  - component: DQ_TASK_RUNNER
    level: 8
  - component: YQL_PRIVATE_PROXY
    level: 8
  - component: YDB_SDK
    level: 8
  - component: YQ_CONTROL_PLANE_STORAGE
    level: 8
  - component: YQ_CONTROL_PLANE_PROXY
    level: 8
  - component: YQ_TEST_CONNECTION
    level: 8
  - component: TICKET_PARSER
    level: 8
  - component: YQ_RATE_LIMITER
    level: 7
  - component: FQ_QUOTA_SERVICE
    level: 8
  - component: FQ_QUOTA_PROXY
    level: 8
  - component: PUBLIC_HTTP
    level: 8
  - component: FQ_CONTROL_PLANE_CONFIG
    level: 8
  - component: FQ_ROW_DISPATCHER
    level: 8
  sys_log: false
nameservice_config:
  type: 3
net_classifier_config:
  cms_config_timeout_seconds: 30
  net_data_file_path: /home/runner/.ya/build/build_root/po9u/0010ee/ydb/tests/fq/multi_plane/test-results/py3test/testing_out_stuff/test_cp_ic/testing_out_stuff/test_cp_ic.py.TestCpIc.test_discovery/netData.tsv
  updater_config:
    net_data_update_interval_seconds: 60
    retry_interval_seconds: 30
pqcluster_discovery_config:
  enabled: true
pqconfig:
  check_acl: false
  cluster_table_path: ''
  clusters_update_timeout_sec: 1
  enable_proto_source_id_info: true
  enabled: true
  max_storage_node_port: 65535
  meta_cache_timeout_sec: 1
  quoting_config:
    enable_quoting: false
  require_credentials_in_new_protocol: false
  root: ''
  topics_are_first_class_citizen: true
  version_table_path: ''
public_http_config:
  port: 16032
sqs_config:
  enable_dead_letter_queues: true
  enable_sqs: false
  force_queue_creation_v2: true
  force_queue_deletion_v2: true
  scheme_cache_hard_refresh_time_seconds: 0
  scheme_cache_soft_refresh_time_seconds: 0
static_erasure: none
system_tablets:
  default_node:
  - 1
  flat_schemeshard:
  - info:
      tablet_id: 72057594046678944
  flat_tx_coordinator:
  - node:
    - 1
  tx_allocator:
  - node:
    - 1
  tx_mediator:
  - node:
    - 1
table_service_config:
  resource_manager:
    channel_buffer_size: 262144
    mkql_heavy_program_memory_limit: 1048576
    mkql_light_program_memory_limit: 65536
